textures/Syn/synladder
{
	qer_editorimage textures/Syn/qer_ladder.tga 
	qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
	surfaceparm detail
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

textures/Syn/no_walljump
{
	surfaceparm nodamage
	surfaceparm slick
	qer_editorimage textures/Syn/no_walljump.tga
	{
		map textures/Syn/no_walljump.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/Syn/icyjump
{
	surfaceparm nodamage
	surfaceparm slick
	qer_editorimage textures/Syn/qer_tile_vert.tga
	{
		map textures/Syn/qer_tile_vert.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/Syn/shingle
{
    qer_editorimage textures/Syn/shingletexture.tga
    qer_trans 0.4
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
}

textures/Syn/clear_glass
{
    q3map_lightimage textures/Syn/glass_radiosity.tga
    qer_editorimage textures/Syn/qer_clear.tga
    qer_trans 0.6
    q3map_bouncescale 0.4
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/Syn/q3a_glass_clear.tga
        blendfunc add
        tcGen environment
    }
}

textures/Syn/clear_glass_nsld
{
    q3map_lightimage textures/Syn/glass_radiosity.tga
    qer_editorimage textures/Syn/qer_clear.tga
    qer_trans 0.6
    q3map_bouncescale 0.4
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/Syn/q3a_glass_clear.tga
        blendfunc add
        tcGen environment
    }
}

textures/Syn/lava
{
    qer_editorimage textures/Syn/qer_lava.tga
    qer_nocarve
    q3map_globaltexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 375
    tesssize 96
    cull disable
    {
        map textures/_Syn/q3a_lava_bg.jpg
        tcmod scale 0.10 0.10
        tcmod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc gl_one gl_zero
        rgbGen identity
    }
    {
        map textures/_Syn/q3a_lava_fg.tga
        blendfunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/Syn/lavafog
{
    qer_editorimage textures/Syn/qer_lavafog.tga
    qer_trans 0.50
    qer_nocarve
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogparms ( 0.94 0.50 0.16 ) 150
}

textures/Syn/metal_grey_hurt
{ 
   qer_editorimage textures/metals/metal_grey.tga
   surfaceparm lava
	{ 
	   //base coat
      map textures/metals/metal_grey.tga
	} 
	  
	{
	   //small airbrushed white dot on a black square
      map gfx/reflect/lake.jpg
      tcgen environment
	   blendFunc add
   }
	
   { 
	   //Alpha of base texture is used to mask the specular out
      //we use invertex alpha so fogging still works, meaning black= shiney
      map textures/metals/metal_grey.tga
	   blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   } 
 
   {  //lightmap 
     	map $lightmap 
      blendFunc GL_DST_COLOR GL_ZERO 
	tcgen lightmap 
   } 
}
